<ion-card>

  <ion-card-content>
    {{ vegetable.synopsis }}
  </ion-card-content>

  <ion-card-header>
    <ion-card-title>Infos pratiques</ion-card-title>
  </ion-card-header>
  <ion-card-content class="infoContainer wrap-flex">

    <ion-chip color="primary" outline>
      <ion-label>
        <ion-icon name="calendar-clear-outline"></ion-icon>
        <strong> Saison</strong> <br> {{ seasonString[0] }} - {{ seasonString[1] }}
      </ion-label>
    </ion-chip>

    <ion-chip *ngIf="vegetable.preservation != null" color="secondary" outline>
      <ion-label>
        <ion-icon name="time-outline"></ion-icon>
        <strong> Conservation</strong> <br> {{ vegetable.preservation }}
      </ion-label>
    </ion-chip>

    <ion-chip *ngIf="vegetable.vitamin != null" color="tertiary" outline>
      <ion-label>
        <ion-icon name="flash-outline"></ion-icon>
        <strong> Vitamine</strong> <br> {{ vegetable.vitamin }}
      </ion-label>
    </ion-chip>

    <ion-chip *ngIf="vegetable.nutritional != null" color="success" outline>
      <ion-label>
        <ion-icon name="barbell-outline"></ion-icon>
        <strong> Apport</strong> <br> {{ vegetable.nutritional }}
      </ion-label>
    </ion-chip>

    <ion-chip color="warning" outline>
      <ion-label>
        <ion-icon name="people-outline"></ion-icon>
        <strong> Famille</strong> <br> {{ vegetable.family }}
      </ion-label>
    </ion-chip>

  </ion-card-content>

  <ion-card-header>
    <ion-card-title>Bons et mauvais compagnons</ion-card-title>
  </ion-card-header>
  <ion-card-content class="infoContainer wrap-flex">
    <p>
      <ion-icon name="accessibility-outline"></ion-icon>
      <strong> Bons compagnons</strong> <br>
      <ion-chip (click)="updateModal(this.ally)" *ngFor="let ally of vegetable.ally" color="success">
        <ion-label> {{ ally }} </ion-label>
      </ion-chip>
    </p>

    <p>
      <ion-icon name="bug-outline"></ion-icon>
      <strong> Mauvais compagnons</strong> <br>
      <ion-chip (click)="updateModal(this.enemy)" *ngFor="let enemy of vegetable.enemy" color="danger">
        <ion-label> {{ enemy }} </ion-label>
      </ion-chip>
    </p>
  </ion-card-content>
</ion-card>
